01/31/95

History for D70x11
===================

All the utilities and files listed below have been modified during the last
year.  This update brings all those changes together and the fixes which
have been implemented earlier as patches are now included as source fixes.


SYMPTOM

CHKDSK is not compatible with Stacker 4.0 drives.

SOLUTION

Overwrite the CHKDSK.EXE file in the NWDOS directory with the new CHKDSK.EXE
file. This version of CHKDSK.EXE includes a /NS command line parameter to
instruct CHKDSK to not do internal Stacker checking  on a Stacker 4.0 drive.


SYMPTOM

(09/13/94)  COMMAND.COM

Using copy on the POWERLAN 3.1 network now works correctly.  Has TRUNAME
support which refers to command/path handling.

(01/23/95) COMMAND.COM

Has TRUENAME help support which refers to command/path handling

Removed closing handles 5 and 6 during abort from critical error or INT23

Enabled semicolon(;) to start a comment in a batch job

SET now removes leading blanks, commas, semicolons and equal signs, but
keeps blanks in the variable name (not only in the value).

Changed critical error message dispatcher

Enabled UNC filenames for file processing command.  This requires VLMs
dated after Oct 07 1994.  There are some limitations when using this on PNW:

   a)  PNW does not support a primary server (thus if the current drive
       is not a PNW drive you can't access some default server without
       specifying the server's name).
   b)  PNW does not support accessing a volume on a server where no
       drive/port is mapped/captured to.
   c)  Accessing \\SERVER\VOLUME with an invalid VOLUME succeeds partially


Made renaming possible for all kinds of directory specifications for the
destination (eg. \, dir\, dir, ..) - worked previously only for DIR

Disabled interpretation of single ! in if condition

SOLUTION

Overwrite the COMMAND.COM file in the root directory with the new COMMAND.COM.


SYMPTOM

 (03/16/94)  DPMS (1.1)

DPMS fixes minor problems from the original shipping version.

Note:  This vesion may cause a problem with PKUNZIP 2.04g causing a reboot
with DPMS, NWCACHE and (DPMI=ON and/or MULTI=ON).  The temporary workaround is
to use this an older version of DPMS *or* turn off MULTI and DPMI.

Engineering is aware of this issue and is working on a solution.

(9/21/94)  DPMS (1.2)

DPMS is incompatible with 386MAX when 386MAX has been configured with the
EMS=0 option. DPMS has been modified to inform the user to reconfigure 386MAX
to use the NOFRAME option instead.



(11/15/94)  DPMS.EXE (1.3)
fixes a machine reboot problem seen when MULTI and DPMI are
enabled, NWCACHE is loaded and PKUNZIP is executed.


(01/23/95) DPMS.EXE (1.4)

INT 67 calls are made if running Windows in enhanced mode and EMM386.EXE's
multitasking support is not enabled.  As a result of these changes, code to
restore 0E's entry in DPMS' IDT when quitting Windows should have been removed
and this has now been done.
 
SOLUTION

Overwrite the DPMS.EXE file in the NWDOS directory with the new DPMS.EXE.


SYMPTOM

 (07/12/94) EMM386.EXE 

This version has a fix to enable CodeView 4.1 to work when DPMI is enabled.
There is still an outstanding problem which occurs when DPMI is set to OFF and
this will be addressed at a later stage.

Other fixes:
 o    NE2100 causing a DMA failure
 o    problems with second DMA controllers on ps/2 & comptabiles using
channels 5,6 or 7   

  (08/10/94) EMM386.EXE

This version of EMM386 fixes a problem with Borland C++ v4 whereby if the
multitasker was loaded VCPI memory would not be freed after BCC32 had been
run.

  (10/03/94) EMM386.EXE (3.04)

The fix for the DOS 4GW problem. EMM386 now has a new command line option
PIC=ON/OFF if it is set to on VCPI  apps will be told the PIC has not been
revectored. Please note that it must be set to OFF for normal operations.  It
seems to get all the games working on the single tasking EMM386 but a couple
still fail on the multitasking EMM386 (DOOM 1 and RAPTOR are the two that we
are aware off) If you are running on the multitasking EMM386 DPMI must be off.
The help screen will give full details.  A batch file which does the following
before the game is started is recommended:

   DPMI OFF
   EMM386 PIC=ON

This will set EMM386 and DPMI correctly for games to run.

   (10/03/94) EMM386.EXE (3.05)

This fixes a screen corruption problem with the Dell Latitude when running on
the multitasker.

(10/31/94)  EMM386.EXE
Help put in for NOEMS and NOVCPI. PIC state displayed if changed.


SOLUTION

Overwrite the EMM386.EXE file in the NWDOS directory with the new EMM386.EXE.


SYMPTOM

(05/10/94) HIMEM.SYS 

fixes EMS page frame problems.

SOLUTION

Overwrite the HIMEM.SYS file in the NWDOS directory with the new HIMEM.SYS.


SYMPTOM

 (08/01/94) IBMDOS.COM 
        IBMBIO.COM 
        SHARE.EXE  

New IBMDOS and IBMBIO files, fix a problem with VM Boot, where a program
called FSFILTER.SYS is installed, taking over INT 21.  This does not return
the SETVER value in AX, so the version number we get back is invalid.  The
SETVER version is now poked into the PSP during the INT 21 call, so if
something takes over INT 21 we do not use the return value as the version
number.  Fix to IBMDOS.COM and SHARE fixes a problem where files that were
open on a PNW server could be renamed by a client.

These files are rebuilds, and contain all previous fixes.

***THESE THREE FILES (IBMBIO.COM, IBMDOS.COM AND SHARE.EXE MUST BE USED
TOGETHER - DO NOT MIX WITH OLDER VERSIONS***

  Other fixes:

o  Accesing a Stacker 4.0 volume would cause EMM386 protection errors to occur
if users had Stacker 4.0 on their hard disk before installing Novell DOS 7.
(3/18/94)

o  A double \\ appearing with NetWare 4.x LOGIN.EXE (3/25/94)

o  The system sometimes reads beyond the end-of-chain when corrupt directory
entries are encountered. 

o  The key combinations of ALT-T and ALT-Q not working correctly with the
Colorado Tape Software.

o  Problem initializing DCA's IRMA 3270 emulation software. (6/7/94)

o  Unable to start a DOS session under OS/2 due to SETVER returning an invalid
version number.

o  SETVER returning an invalid version number during a VM boot in which a 3rd
party device driver takes over INT 21.

o  Accessing a network path greater than 66 characters when using VLMs.  After
trying to to CD, TREE, XDIR, XDEL, etc. the drive mapping appears to be
invalid. (10/06/94)

o  Fixed a problem when remote booting where an attempt was made to load the
NWDOS.386 VXD.  This fix stops the attempted loading the NWDOS.386 VXD, which
is no longer needed, as it could not be loaded after a remote boot process.

(11/15/94)  IBMDOS.COM (Common to all languages)
This version of IBMDOS.COM contains all previous patches.


SOLUTION

XCOPY the new IBMBIO.COM and IBMDOS.COM to the root directory using the /HR
switch.  Then, use ATTRIB -A +R +S +H to give the file the System, Read-only
and Hidden attributes.

Example #1 -- from the command line, issue the following separate commands:

  XCOPY A:\IBMBIO.COM C:\IBMBIO.COM /HRV
  ATTRIB -A +R +S +H C:\IBMBIO.COM
  XCOPY A:\IBMDOS.COM C:\IBMDOS.COM /HRV
  ATTRIB -A +R +S +H C:\IBMDOS.COM



SYMPTOM

 Loss of characters and speed of transmission issues during serial
communications.

SOLUTION

 Use SETFIFO.EXE.  This utility allows the user to set FIFO buffers of  1, 4,
8, or 14 bytes. This may solve both speed and loss of characters issues during
serial communications--possible only on a 16550 UART chip.



SYMPTOM

(09/29/94) SHARE.EXE (1.01)

Share will now allow file access if file is read only,existing mode and
requested mode are compatability mode and read only mode. int 21 ax=3d00 is
the DOS call affected.

Added setting of the sharing kernal flag during installation

Added check for zero sharing record offset in SFT entry.

SOLUTION

Overwrite the SHARE.COM file in the NWDOS directory with the new  SHARE.COM.


(01/23/95) INSTALL.EXE (FILE SETUP2.EX_)

This fixes a problem where INSTALL ould leave calls to IPX and NETX in the
AUTOEXEC.BAT file, even when it added a call to STARTNET.BAT.  It now
REMs them out.  It also now places the TASKMGR line after VLM if the 
AUTOEXEC.BAT file contains a VLM call.


SYMPTOM

(11/18/94)    KEYB.COM (2.09)
   Code added to:
  a) process Ctrl Tab
  b) support the Brazilian keyboard.

SOLUTION

Overwrite the KEYB.COM file in the NWDOS directory with the new KEYB.COM.


SYMPTOM

(05/10/94) MEMMAX.COM 

Some secondary command processors (such as a DOS shell) can no longer change
the memory state.


SOLUTION

Overwrite the MEMMAX.COM file in the NWDOS directory with the new MEMMAX.COM.


SYMPTOM

(08/16/94) NWCDEX.EXE

This version includes the following fixes.  Implementation of a new (missing)
function INT 2Fh, function 150Fh (Get_Directory_Entry).  This was done for an
application called REEL MAGIC.  For this application there was also a change
made to INT 2Fh, function 1505h (Read_VTOC) to return a large initialised
buffer.  There was a change made to Find_Next which fixed the problem related
to the installation of NetWare 4.1 from the CD.  There was also a change made
which stopped the '.' and '..' being displayed in the root.  One application
fixed by this was REEL MAGIC.

SYMPTOM

(11/16/94)  NWCDEX.EXE
fixes several problems.  Speeds up CD ROM access considerably.

On detecting that a disk has changed during a chdir/openfile/get file
attribs/dir entry/findfirst, changes to the root.

On calling Int 21/60, the fully expanded path was previously 'Cdex.
X:\filename'. This has now been changed to \\X.\A.\filename which is what
MSCDEX returns.  This former discrepancy was highlighted in BYTE.

Fixes a problem seen when CDs are changed and DPMS is loaded.

Updates a) device info word (drive number is 0 based) and b) device driver
pointer (points to CD's current directoy structure) entries in the SFT so that
they are MSCDEX compatible.

Will not automatically return an error during a chdir/openfile/get file
attribs/dir entry/findfirst operation, if the CD has been changed and the
current directory is the root. If the current directory is a subdir and the
volume has changed, an error is returned.

Fixes a problem seen with the game Critical Path. 

Fixes a problem to allow the game MYST to install. This must also be used in
conjunction with the new IBMDOS.COM dated 11/15/94.

Fixes a problem reported with INT 2F / Func. 110C.

(12/13/94)    NWCDEX (2.5) 

		
	    a)	fixes a problem seen when a CD file's extension is greater 
	 	than 3 characters (maximum of 30 characters possible). 
		In this case, a findfirst/next would not ignore the additional 
		characters, and would therefore conclude that the extension 
		did not match the search extension. Effectively, this meant that 
		some file's were invisible when a DIR was executed. 
		This problem was seen on a COREL CD. 

	    b)	MSCDEX's INT 2F/1510 
		(Send device driver request) initialises the subunit field 
		of the device request header based on the drive number 
		supplied in CX, whereas NWCDEX does not. NWCDEX.EXE 
		is now compatible with MSCDEX in this respect.

	    c)  fixes a problem seen when accessing subdirectories on 
		machines with multiple CD-ROMs (>5). 
	    
             NWCDEX (2.6)

             a)  Fixes problem seen with LACERTE Tax Software

             b)  Modifications made to ensure subfunctions 1105,1116,111B,
                 110F, and 150F will fail on finding a \\ in the pathname.



(01/23/95)   NWCDEX (2.7)

            Fixes a problem where handles to the CD-ROM device drivers
            remain unneccessarily open after NWCDEX initialization is completed.
            


SOLUTION

Overwrite the NWCDEX.COM file in the NWDOS directory with the new NWCDEX.COM.


SYMPTOM

(08/15/94) PRINT.COM

A new version of PRINT.COM for all languages. This version fixes a problem of
hanging after the PRT-SCR key has been pressed due to incorrect resoration of
INT 05, INT 00, INT 04, INT 06. It has also been modified to leave TAB
expansion to the printer and the Get_Installed_State is now returned in AL and
not AX.


SOLUTION

Overwrite the PRINT.COM file in the NWDOS directory with the new PRINT.COM.


SYMPTOM

Loss of characters and speed of transmission issues during serial
communications.

SOLUTION

Use SETFIFO.EXE.  This utility allows the user to set FIFO buffers of 1, 4, 8,
or 14 bytes. This may solve both speed and loss of characters issues during
serial communications--possible only on a 16550 UART chip.


SYMPTOM

(08/26/94) TASKMGR.EXE (2.01)

This version fixes the problem where if the server were loaded with
taskmanager the SFT file count would not be updated on termination of taskmgr
causing possible file corruption.

(11/17/94)    TASKMGR.EXE  (2.02)
Fixes a problem with BREQUEST. It will also make Taskmgr more stable with the
network loaded.


SOLUTION

Overwrite the TASKMGR.EXE file in the NWDOS directory with the new
TASKMGR.EXE.



SYMPTOM
(10/03/94)  TREE.COM (1.61)
Fixes system crash when trying to display paths greater than 66 characters.


SOLUTION

Overwrite the TREE.COM file in the NWDOS directory with the new TREE.COM

SYMPTOM
(10/10/94)  XDEL.EXE (1.46)
Fixes 3 problems:
1.  System crash when trying to recursively delete paths greater than 66
characters.
2.  Current directory removed when recursively deleting from the parent dir
(eg. "xdel .. /sd").
3.  Top-level directory not removed when password protected.


SOLUTION

Overwrite the XDEL.EXE file in the NWDOS directory with the new XDEL.EXE

SYMPTOM
(10/03/94)  XDIR.EXE (2.06)
Fixes divide-by-zero error when trying to recursively display paths greater
than 66 characters.


SOLUTION

Overwrite the XDIR.EXE file in the NWDOS directory with the new XDIR.EXE




-----------------------------------------------------------------
Any trademarks referenced in this document are the property of their
respective owners.  Consult your product manuals for complete trademark
information.
-----------------------------------------------------------------



ÿ